summaryrefslogtreecommitdiff
path: root/eclass/eqawarn.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/eqawarn.eclass')
-rw-r--r--eclass/eqawarn.eclass26
1 files changed, 26 insertions, 0 deletions
diff --git a/eclass/eqawarn.eclass b/eclass/eqawarn.eclass
new file mode 100644
index 000000000000..288976182fb3
--- /dev/null
+++ b/eclass/eqawarn.eclass
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# @ECLASS: eqawarn.eclass
+# @MAINTAINER:
+# base-system@gentoo.org
+# @SUPPORTED_EAPIS: 6
+# @BLURB: output a QA warning
+
+case ${EAPI} in
+ 6) ;;
+ *) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
+esac
+
+# @FUNCTION: eqawarn
+# @USAGE: [message]
+# @DESCRIPTION:
+# Proxy to ewarn for package managers that don't provide eqawarn and
+# use the PM implementation if available. Reuses PORTAGE_ELOG_CLASSES
+# as set by the dev profile.
+if ! declare -F eqawarn >/dev/null ; then
+ eqawarn() {
+ has qa ${PORTAGE_ELOG_CLASSES} && ewarn "$@"
+ :
+ }
+fi